| GET | /RestApi/diagnostics/compression-settings |
|---|
"use strict";
export class GetCompressionSettings {
constructor(init) { Object.assign(this, init) }
}
export class CompressionSettingsProxy {
/** @param {{DoStaticCompression?:boolean,DoDynamicCompression?:boolean}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {boolean} */
DoStaticCompression;
/** @type {boolean} */
DoDynamicCompression;
}
JavaScript GetCompressionSettings DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/compression-settings HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
DoStaticCompression: False,
DoDynamicCompression: False
}